package com.qryord.project.master.model.service;

import com.qryord.project.master.model.domain.Model;

import java.util.List;

/**
 * 商品型号Service接口
 * 
 * @author ruoyi
 * @date 2022-08-06
 */
public interface IModelService 
{
    /**
     * 查询商品型号
     * 
     * @param id 商品型号主键
     * @return 商品型号
     */
    public Model selectModelById(Long id);

    /**
     * 查询商品型号列表
     * 
     * @param model 商品型号
     * @return 商品型号集合
     */
    public List<Model> selectModelList(Model model);

    /**
     * 新增商品型号
     * 
     * @param model 商品型号
     * @return 结果
     */
    public int insertModel(Model model);

    /**
     * 修改商品型号
     * 
     * @param model 商品型号
     * @return 结果
     */
    public int updateModel(Model model);

    /**
     * 批量删除商品型号
     * 
     * @param ids 需要删除的商品型号主键集合
     * @return 结果
     */
    public int deleteModelByIds(String ids);

    /**
     * 删除商品型号信息
     * 
     * @param id 商品型号主键
     * @return 结果
     */
    public int deleteModelById(Long id);
}
